Package com.google.javascript.rhino

# Class JSDocInfo.TypePosition

java.lang.Object
com.google.javascript.rhino.SourcePosition<Node>
com.google.javascript.rhino.JSDocInfo.TypePosition

Enclosing class:
  `JSDocInfo`

public static class JSDocInfo.TypePosition extends SourcePosition<Node>
A piece of information (found in a marker) which contains a position with a type expression syntax tree.

## Constructor Summary

Constructors
Constructor
Description
`TypePosition()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasBrackets()`
Returns whether the type has curly braces around it.

### Methods inherited from class com.google.javascript.rhino.SourcePosition

`getEndLine, getItem, getPositionOnEndLine, getPositionOnStartLine, getStartLine, setItem, setPositionInformation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypePosition

public TypePosition()

## Method Details

### hasBrackets

public boolean hasBrackets()
Returns whether the type has curly braces around it.